%define oname qCheckGMail

Summary:	%{oname} is a Qt/C++ checker for multiple gmail accounts
Summary(de):	%{oname} ist ein Qt/C++ Überprüfer für mehrere GMail Konten
Name:		qcheckgmail
Version:	1.2.6
Release:	%mkrel 1
Group:		Networking/Mail
License:	GPLv2+
URL:		http://mhogomchungu.github.io/qCheckGMail/
Source0:	%{oname}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	%{_lib}secret-devel
BuildRequires:	kdelibs-devel
BuildRequires:	kde-runtime-devel
Requires:	kde-utils-kwallet

%description
%{oname} is a Qt/C++ multiple gmail account checker

Supported features:
- Multiple accounts
- Multiple labels
- tray pop up bubble can show accounts by their account names 
  or by an alternative display name
- Operations not blocking the UI and plasma-desktop
- Keys are stored in kwallet
- Automatic new email checks with configurable time interval
- Manual email check
- Ability to pause and unpause automatic email checks

%description -l de
%{oname} ist ein Qt/C++ Überprüfer für mehrere GMail Konten

Bereitgestellte eigenschaften:
- Mehrere Konten
- Mehrere Labels
- Tray-Symbol Popup-Blasen können Konten mit dem Namen oder einem 
  alternativen Anzeigenamen anzeigen
- die Operationen blockieren das UI und den Plasma-Desktop nicht
- Schlüssel werden in kwallet gespeichert
- Automatisches Überprüfen auf neue EMail mit konfigurierbarem 
  Zeitintervall
- Manuelle Überprüfung auf neue EMails
- Möglichkeit das automatische Prüfen auf neue EMails zu pausieren

%prep
%setup -qn %{oname}-%{version}

%build
%cmake
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/%{oname}
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/%{oname}/%{oname}.notifyrc
%{_datadir}/pixmaps/%{oname}.svg
%{_datadir}/%{oname}/translations.qm/*.qm
%{_datadir}/%{oname}/lxqt_wallet/translations.qm/*.qm
%{_iconsdir}/%{oname}*.svg
%{_sysconfdir}/xdg/autostart/%{oname}-autostart.desktop

%changelog
* Thu May 01 2014 pinoc <vogtpet at gmail.com> 1.2.6-1pclos2014
- 1.2.6

* Wed Jan 01 2014 pinoc <vogtpet at gmail.com> 1.2.5-1pclos2014
- 1.2.5
- updated BR

* Sun Nov 17 2013 pinoc <vogtpet at gmail.com> 1.2.4-1pclos2013
- 1.2.4
- add missing BR secret-devel

* Wed Aug 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.3-1pclos2013
- 1.2.3

* Wed Jul 24 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.2-1pclos2013
- 1.2.2
- removed .ts files from files section

* Thu Jul 02 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.0-1pclos2013
- 1.2.0
- added BR kde-runtime-devel

* Sun Jun 23 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1.1-1pclos2013
- 1.1.1
- added R kwallet

* Sun Jun 16 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0.0-2-1pclos2013
- initial import for pclos